← OAuth 2.0
Get Location Where App Is Installed
Fetch the sub-account(s) where your Marketplace app is installed. Use this to discover which locations have your app active and retrieve installation metadata.
GET
/oauth/installedLocationsScope
—
Auth Method
Bearer Token (Company)
Token Type
Company
Header Parameters
| Parameter | Type | Description |
|---|---|---|
Authorizationrequired | string | Bearer {company_access_token} |
Versionrequired | string | API Version Possible values: 2021-07-28 |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
skip | integer | Number of installed locations to skip (pagination offset). |
limit | integer | Number of installed locations to return per page. |
query | string | Search for an installed location by name. |
isInstalled | boolean | Filter locations where the specified app is installed under the specified company. |
companyIdrequired | string | The Company ID to search installed locations for. |
appIdrequired | string | The App ID to check installations for. |
appVersionId | string | Version ID of the app to filter by. |
isTrial | boolean | Filter locations where the app is installed in trial mode. |
planId | string | Filter locations installed under a specific plan ID. |
locationId | string | Filter by a specific Location ID. |
Example RequestcURL
curl -X GET \
'https://services.leadconnectorhq.com/oauth/installedLocations?companyId=5DP41231LkQsiKESj6rh&appId=app_def456&limit=20&skip=0' \
-H 'Authorization: Bearer {company_access_token}' \
-H 'Version: 2021-07-28' \
-H 'Accept: application/json'Response — 200 OK
Example ResponseJSON
{
"locations": [
{
"_id": "ve9EPM428h8vShlRW1KT",
"name": "Austin Main Office",
"address": "123 Main St, Austin, TX 78701",
"isInstalled": true,
"appVersionId": "ver_ghi789",
"installedAt": "2024-03-15T10:30:00.000Z"
},
{
"_id": "xY7AbCdEfGhIjKlMnOpQ",
"name": "Houston Branch",
"address": "456 Oak Ave, Houston, TX 77001",
"isInstalled": true,
"appVersionId": "ver_ghi789",
"installedAt": "2024-05-20T14:00:00.000Z"
}
],
"total": 2,
"installToFutureLocations": true
}Response Fields
| Parameter | Type | Description |
|---|---|---|
locations[]._id | string | Location ID. |
locations[].name | string | Name of the location. |
locations[].address | string | Address linked to the location. |
locations[].isInstalled | boolean | Whether the requested app is installed for this location. |
locations[].appVersionId | string | Version ID of the installed app version for this location. |
locations[].installedAt | string | ISO 8601 timestamp when the app was installed on this location. |
total | integer | Total location count under the company. |
installToFutureLocations | boolean | Whether the user wants the app auto-installed to future locations. |
Pagination
Use the skip and limit query parameters to paginate through results. The total field in the response tells you the total number of locations under the company.
